Viewing docs for Oracle Cloud Infrastructure v4.4.0
published on Thursday, Mar 26, 2026 by Pulumi
published on Thursday, Mar 26, 2026 by Pulumi
Viewing docs for Oracle Cloud Infrastructure v4.4.0
published on Thursday, Mar 26, 2026 by Pulumi
published on Thursday, Mar 26, 2026 by Pulumi
This data source provides details about a specific Identity Proofing Provider Template resource in Oracle Cloud Infrastructure Identity Domains service.
Get Identity Proofing Provider Configuration template.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testIdentityProofingProviderTemplate = oci.Identity.getDomainsIdentityProofingProviderTemplate({
idcsEndpoint: testDomain.url,
identityProofingProviderTemplateId: testIdentityProofingProviderTemplateOciIdentityDomainsIdentityProofingProviderTemplate.id,
attributeSets: ["all"],
attributes: "",
authorization: identityProofingProviderTemplateAuthorization,
resourceTypeSchemaVersion: identityProofingProviderTemplateResourceTypeSchemaVersion,
});
import pulumi
import pulumi_oci as oci
test_identity_proofing_provider_template = oci.Identity.get_domains_identity_proofing_provider_template(idcs_endpoint=test_domain["url"],
identity_proofing_provider_template_id=test_identity_proofing_provider_template_oci_identity_domains_identity_proofing_provider_template["id"],
attribute_sets=["all"],
attributes="",
authorization=identity_proofing_provider_template_authorization,
resource_type_schema_version=identity_proofing_provider_template_resource_type_schema_version)
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v4/go/oci/identity"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := identity.GetDomainsIdentityProofingProviderTemplate(ctx, &identity.GetDomainsIdentityProofingProviderTemplateArgs{
IdcsEndpoint: testDomain.Url,
IdentityProofingProviderTemplateId: testIdentityProofingProviderTemplateOciIdentityDomainsIdentityProofingProviderTemplate.Id,
AttributeSets: []string{
"all",
},
Attributes: pulumi.StringRef(""),
Authorization: pulumi.StringRef(identityProofingProviderTemplateAuthorization),
ResourceTypeSchemaVersion: pulumi.StringRef(identityProofingProviderTemplateResourceTypeSchemaVersion),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testIdentityProofingProviderTemplate = Oci.Identity.GetDomainsIdentityProofingProviderTemplate.Invoke(new()
{
IdcsEndpoint = testDomain.Url,
IdentityProofingProviderTemplateId = testIdentityProofingProviderTemplateOciIdentityDomainsIdentityProofingProviderTemplate.Id,
AttributeSets = new[]
{
"all",
},
Attributes = "",
Authorization = identityProofingProviderTemplateAuthorization,
ResourceTypeSchemaVersion = identityProofingProviderTemplateResourceTypeSchemaVersion,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.Identity.IdentityFunctions;
import com.pulumi.oci.Identity.inputs.GetDomainsIdentityProofingProviderTemplateArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testIdentityProofingProviderTemplate = IdentityFunctions.getDomainsIdentityProofingProviderTemplate(GetDomainsIdentityProofingProviderTemplateArgs.builder()
.idcsEndpoint(testDomain.url())
.identityProofingProviderTemplateId(testIdentityProofingProviderTemplateOciIdentityDomainsIdentityProofingProviderTemplate.id())
.attributeSets("all")
.attributes("")
.authorization(identityProofingProviderTemplateAuthorization)
.resourceTypeSchemaVersion(identityProofingProviderTemplateResourceTypeSchemaVersion)
.build());
}
}
variables:
testIdentityProofingProviderTemplate:
fn::invoke:
function: oci:Identity:getDomainsIdentityProofingProviderTemplate
arguments:
idcsEndpoint: ${testDomain.url}
identityProofingProviderTemplateId: ${testIdentityProofingProviderTemplateOciIdentityDomainsIdentityProofingProviderTemplate.id}
attributeSets:
- all
attributes: ""
authorization: ${identityProofingProviderTemplateAuthorization}
resourceTypeSchemaVersion: ${identityProofingProviderTemplateResourceTypeSchemaVersion}
Using getDomainsIdentityProofingProviderTemplate
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getDomainsIdentityProofingProviderTemplate(args: GetDomainsIdentityProofingProviderTemplateArgs, opts?: InvokeOptions): Promise<GetDomainsIdentityProofingProviderTemplateResult>
function getDomainsIdentityProofingProviderTemplateOutput(args: GetDomainsIdentityProofingProviderTemplateOutputArgs, opts?: InvokeOptions): Output<GetDomainsIdentityProofingProviderTemplateResult>def get_domains_identity_proofing_provider_template(attribute_sets: Optional[Sequence[str]] = None,
attributes: Optional[str] = None,
authorization: Optional[str] = None,
idcs_endpoint: Optional[str] = None,
identity_proofing_provider_template_id: Optional[str] = None,
resource_type_schema_version: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetDomainsIdentityProofingProviderTemplateResult
def get_domains_identity_proofing_provider_template_output(attribute_sets: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
attributes: Optional[pulumi.Input[str]] = None,
authorization: Optional[pulumi.Input[str]] = None,
idcs_endpoint: Optional[pulumi.Input[str]] = None,
identity_proofing_provider_template_id: Optional[pulumi.Input[str]] = None,
resource_type_schema_version: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetDomainsIdentityProofingProviderTemplateResult]func LookupDomainsIdentityProofingProviderTemplate(ctx *Context, args *LookupDomainsIdentityProofingProviderTemplateArgs, opts ...InvokeOption) (*LookupDomainsIdentityProofingProviderTemplateResult, error)
func LookupDomainsIdentityProofingProviderTemplateOutput(ctx *Context, args *LookupDomainsIdentityProofingProviderTemplateOutputArgs, opts ...InvokeOption) LookupDomainsIdentityProofingProviderTemplateResultOutput> Note: This function is named LookupDomainsIdentityProofingProviderTemplate in the Go SDK.
public static class GetDomainsIdentityProofingProviderTemplate
{
public static Task<GetDomainsIdentityProofingProviderTemplateResult> InvokeAsync(GetDomainsIdentityProofingProviderTemplateArgs args, InvokeOptions? opts = null)
public static Output<GetDomainsIdentityProofingProviderTemplateResult> Invoke(GetDomainsIdentityProofingProviderTemplateInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetDomainsIdentityProofingProviderTemplateResult> getDomainsIdentityProofingProviderTemplate(GetDomainsIdentityProofingProviderTemplateArgs args, InvokeOptions options)
public static Output<GetDomainsIdentityProofingProviderTemplateResult> getDomainsIdentityProofingProviderTemplate(GetDomainsIdentityProofingProviderTemplateArgs args, InvokeOptions options)
fn::invoke:
function: oci:Identity/getDomainsIdentityProofingProviderTemplate:getDomainsIdentityProofingProviderTemplate
arguments:
# arguments dictionaryThe following arguments are supported:
- Idcs
Endpoint string - The basic endpoint for the identity domain
- Identity
Proofing stringProvider Template Id - ID of the resource.
- Attribute
Sets List<string> - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- Attributes string
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- Resource
Type stringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- Idcs
Endpoint string - The basic endpoint for the identity domain
- Identity
Proofing stringProvider Template Id - ID of the resource.
- Attribute
Sets []string - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- Attributes string
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- Resource
Type stringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- idcs
Endpoint String - The basic endpoint for the identity domain
- identity
Proofing StringProvider Template Id - ID of the resource.
- attribute
Sets List<String> - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes String
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- String
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- resource
Type StringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- idcs
Endpoint string - The basic endpoint for the identity domain
- identity
Proofing stringProvider Template Id - ID of the resource.
- attribute
Sets string[] - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes string
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- string
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- resource
Type stringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- idcs_
endpoint str - The basic endpoint for the identity domain
- identity_
proofing_ strprovider_ template_ id - ID of the resource.
- attribute_
sets Sequence[str] - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes str
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- str
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- resource_
type_ strschema_ version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
- idcs
Endpoint String - The basic endpoint for the identity domain
- identity
Proofing StringProvider Template Id - ID of the resource.
- attribute
Sets List<String> - A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If 'attributes' query parameter is also available, union of the two is fetched. Valid values - all, always, never, request, default. Values are case-insensitive.
- attributes String
- A comma-delimited string that specifies the names of resource attributes that should be returned in the response. By default, a response that contains resource attributes contains only attributes that are defined in the schema for that resource type as returned=always or returned=default. An attribute that is defined as returned=request is returned in a response only if the request specifies its name in the value of this query parameter. If a request specifies this query parameter, the response contains the attributes that this query parameter specifies, as well as any attribute that is defined as returned=always.
- String
- The Authorization field value consists of credentials containing the authentication information of the user agent for the realm of the resource being requested.
- resource
Type StringSchema Version - An endpoint-specific schema version number to use in the Request. Allowed version values are Earliest Version or Latest Version as specified in each REST API endpoint description, or any sequential number inbetween. All schema attributes/body parameters are a part of version 1. After version 1, any attributes added or deprecated will be tagged with the version that they were added to or deprecated in. If no version is provided, the latest schema version is returned.
getDomainsIdentityProofingProviderTemplate Result
The following output properties are available:
- Compartment
Ocid string - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- Configurations
List<Get
Domains Identity Proofing Provider Template Configuration> - Proofing Provider Configuration Template.
- Delete
In boolProgress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- Domain
Ocid string - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- Id string
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- Idcs
Created List<GetBies Domains Identity Proofing Provider Template Idcs Created By> - The User or App who created the Resource
- Idcs
Endpoint string - Idcs
Last List<GetModified Bies Domains Identity Proofing Provider Template Idcs Last Modified By> - The User or App who modified the Resource
- Idcs
Last stringUpgraded In Release - The release number when the resource was upgraded.
- Idcs
Locked List<GetBies Domains Identity Proofing Provider Template Idcs Locked By> - The User or App who locked the Resource.
- Idcs
Locked stringOn - The most recent DateTime the resource was locked.
- Idcs
Locked List<string>Operations - Operations that are locked on the resource.
- Idcs
Prevented List<string>Operations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- Identity
Proofing stringProvider Template Id - Identity
Proofing stringProvider Template Provider - Name of the Identity Proofing Provider.
- Metas
List<Get
Domains Identity Proofing Provider Template Meta> - A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- Schemas List<string>
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- Service
Types List<string> - Service type supported by the Identity Proofing Provider.
- Tenancy
Ocid string - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- Verification
Url string - verification URL.
- Attribute
Sets List<string> - Attributes string
- string
- Resource
Type stringSchema Version
- Compartment
Ocid string - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- Configurations
[]Get
Domains Identity Proofing Provider Template Configuration - Proofing Provider Configuration Template.
- Delete
In boolProgress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- Domain
Ocid string - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- Id string
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- Idcs
Created []GetBies Domains Identity Proofing Provider Template Idcs Created By - The User or App who created the Resource
- Idcs
Endpoint string - Idcs
Last []GetModified Bies Domains Identity Proofing Provider Template Idcs Last Modified By - The User or App who modified the Resource
- Idcs
Last stringUpgraded In Release - The release number when the resource was upgraded.
- Idcs
Locked []GetBies Domains Identity Proofing Provider Template Idcs Locked By - The User or App who locked the Resource.
- Idcs
Locked stringOn - The most recent DateTime the resource was locked.
- Idcs
Locked []stringOperations - Operations that are locked on the resource.
- Idcs
Prevented []stringOperations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- Identity
Proofing stringProvider Template Id - Identity
Proofing stringProvider Template Provider - Name of the Identity Proofing Provider.
- Metas
[]Get
Domains Identity Proofing Provider Template Meta - A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- Schemas []string
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- Service
Types []string - Service type supported by the Identity Proofing Provider.
- Tenancy
Ocid string - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- Verification
Url string - verification URL.
- Attribute
Sets []string - Attributes string
- string
- Resource
Type stringSchema Version
- compartment
Ocid String - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- configurations
List<Get
Domains Proofing Provider Template Configuration> - Proofing Provider Configuration Template.
- delete
In BooleanProgress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- domain
Ocid String - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- id String
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- idcs
Created List<GetBies Domains Proofing Provider Template Idcs Created By> - The User or App who created the Resource
- idcs
Endpoint String - idcs
Last List<GetModified Bies Domains Proofing Provider Template Idcs Last Modified By> - The User or App who modified the Resource
- idcs
Last StringUpgraded In Release - The release number when the resource was upgraded.
- idcs
Locked List<GetBies Domains Proofing Provider Template Idcs Locked By> - The User or App who locked the Resource.
- idcs
Locked StringOn - The most recent DateTime the resource was locked.
- idcs
Locked List<String>Operations - Operations that are locked on the resource.
- idcs
Prevented List<String>Operations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- identity
Proofing StringProvider Template Id - identity
Proofing StringProvider Template Provider - Name of the Identity Proofing Provider.
- metas
List<Get
Domains Proofing Provider Template Meta> - A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- ocid String
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- schemas List<String>
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- service
Types List<String> - Service type supported by the Identity Proofing Provider.
- tenancy
Ocid String - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- verification
Url String - verification URL.
- attribute
Sets List<String> - attributes String
- String
- resource
Type StringSchema Version
- compartment
Ocid string - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- configurations
Get
Domains Identity Proofing Provider Template Configuration[] - Proofing Provider Configuration Template.
- delete
In booleanProgress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- domain
Ocid string - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- id string
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- idcs
Created GetBies Domains Identity Proofing Provider Template Idcs Created By[] - The User or App who created the Resource
- idcs
Endpoint string - idcs
Last GetModified Bies Domains Identity Proofing Provider Template Idcs Last Modified By[] - The User or App who modified the Resource
- idcs
Last stringUpgraded In Release - The release number when the resource was upgraded.
- idcs
Locked GetBies Domains Identity Proofing Provider Template Idcs Locked By[] - The User or App who locked the Resource.
- idcs
Locked stringOn - The most recent DateTime the resource was locked.
- idcs
Locked string[]Operations - Operations that are locked on the resource.
- idcs
Prevented string[]Operations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- identity
Proofing stringProvider Template Id - identity
Proofing stringProvider Template Provider - Name of the Identity Proofing Provider.
- metas
Get
Domains Identity Proofing Provider Template Meta[] - A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- schemas string[]
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- service
Types string[] - Service type supported by the Identity Proofing Provider.
- tenancy
Ocid string - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- verification
Url string - verification URL.
- attribute
Sets string[] - attributes string
- string
- resource
Type stringSchema Version
- compartment_
ocid str - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- configurations
Sequence[Get
Domains Identity Proofing Provider Template Configuration] - Proofing Provider Configuration Template.
- delete_
in_ boolprogress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- domain_
ocid str - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- id str
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- idcs_
created_ Sequence[Getbies Domains Identity Proofing Provider Template Idcs Created By] - The User or App who created the Resource
- idcs_
endpoint str - idcs_
last_ Sequence[Getmodified_ bies Domains Identity Proofing Provider Template Idcs Last Modified By] - The User or App who modified the Resource
- idcs_
last_ strupgraded_ in_ release - The release number when the resource was upgraded.
- idcs_
locked_ Sequence[Getbies Domains Identity Proofing Provider Template Idcs Locked By] - The User or App who locked the Resource.
- idcs_
locked_ stron - The most recent DateTime the resource was locked.
- idcs_
locked_ Sequence[str]operations - Operations that are locked on the resource.
- idcs_
prevented_ Sequence[str]operations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- identity_
proofing_ strprovider_ template_ id - identity_
proofing_ strprovider_ template_ provider - Name of the Identity Proofing Provider.
- metas
Sequence[Get
Domains Identity Proofing Provider Template Meta] - A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- ocid str
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- schemas Sequence[str]
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- service_
types Sequence[str] - Service type supported by the Identity Proofing Provider.
- tenancy_
ocid str - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- verification_
url str - verification URL.
- attribute_
sets Sequence[str] - attributes str
- str
- resource_
type_ strschema_ version
- compartment
Ocid String - Oracle Cloud Infrastructure Compartment Id (OCID) in which the resource lives.
- configurations List<Property Map>
- Proofing Provider Configuration Template.
- delete
In BooleanProgress - A boolean flag indicating this resource in the process of being deleted. Usually set to true when synchronous deletion of the resource would take too long.
- domain
Ocid String - Oracle Cloud Infrastructure Domain Id (OCID) in which the resource lives.
- id String
- Unique identifier for the SCIM Resource as defined by the Service Provider. Each representation of the Resource MUST include a non-empty id value. This identifier MUST be unique across the Service Provider's entire set of Resources. It MUST be a stable, non-reassignable identifier that does not change when the same Resource is returned in subsequent requests. The value of the id attribute is always issued by the Service Provider and MUST never be specified by the Service Consumer. bulkId: is a reserved keyword and MUST NOT be used in the unique identifier.
- idcs
Created List<Property Map>Bies - The User or App who created the Resource
- idcs
Endpoint String - idcs
Last List<Property Map>Modified Bies - The User or App who modified the Resource
- idcs
Last StringUpgraded In Release - The release number when the resource was upgraded.
- idcs
Locked List<Property Map>Bies - The User or App who locked the Resource.
- idcs
Locked StringOn - The most recent DateTime the resource was locked.
- idcs
Locked List<String>Operations - Operations that are locked on the resource.
- idcs
Prevented List<String>Operations - Each value of this attribute specifies an operation that only an internal client may perform on this particular resource.
- identity
Proofing StringProvider Template Id - identity
Proofing StringProvider Template Provider - Name of the Identity Proofing Provider.
- metas List<Property Map>
- A complex attribute that contains resource metadata. All sub-attributes are OPTIONAL.
- ocid String
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- schemas List<String>
- REQUIRED. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. This specification defines URIs for User, Group, and a standard "enterprise" extension. All representations of SCIM schema MUST include a non-zero value array with value(s) of the URIs supported by that representation. Duplicate values MUST NOT be included. Value order is not specified and MUST not impact behavior.
- service
Types List<String> - Service type supported by the Identity Proofing Provider.
- tenancy
Ocid String - Oracle Cloud Infrastructure Tenant Id (OCID) in which the resource lives.
- verification
Url String - verification URL.
- attribute
Sets List<String> - attributes String
- String
- resource
Type StringSchema Version
Supporting Types
GetDomainsIdentityProofingProviderTemplateConfiguration
- Name string
- Name of the Identity Proofing Provider configuration.
- Sensitivity bool
- Sensitivity of the Identity Proofing configuration.
- Type string
- The type of resource, User or App, that locked this Resource.
- Name string
- Name of the Identity Proofing Provider configuration.
- Sensitivity bool
- Sensitivity of the Identity Proofing configuration.
- Type string
- The type of resource, User or App, that locked this Resource.
- name String
- Name of the Identity Proofing Provider configuration.
- sensitivity Boolean
- Sensitivity of the Identity Proofing configuration.
- type String
- The type of resource, User or App, that locked this Resource.
- name string
- Name of the Identity Proofing Provider configuration.
- sensitivity boolean
- Sensitivity of the Identity Proofing configuration.
- type string
- The type of resource, User or App, that locked this Resource.
- name str
- Name of the Identity Proofing Provider configuration.
- sensitivity bool
- Sensitivity of the Identity Proofing configuration.
- type str
- The type of resource, User or App, that locked this Resource.
- name String
- Name of the Identity Proofing Provider configuration.
- sensitivity Boolean
- Sensitivity of the Identity Proofing configuration.
- type String
- The type of resource, User or App, that locked this Resource.
GetDomainsIdentityProofingProviderTemplateIdcsCreatedBy
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- Ref string
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- Ref string
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- ref String
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display string
- The displayName of the User or App who locked this Resource.
- ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- ref string
- type string
- The type of resource, User or App, that locked this Resource.
- value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display str
- The displayName of the User or App who locked this Resource.
- ocid str
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- ref str
- type str
- The type of resource, User or App, that locked this Resource.
- value str
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- ref String
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
GetDomainsIdentityProofingProviderTemplateIdcsLastModifiedBy
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- Ref string
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- Ref string
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- ref String
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display string
- The displayName of the User or App who locked this Resource.
- ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- ref string
- type string
- The type of resource, User or App, that locked this Resource.
- value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display str
- The displayName of the User or App who locked this Resource.
- ocid str
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- ref str
- type str
- The type of resource, User or App, that locked this Resource.
- value str
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- ref String
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
GetDomainsIdentityProofingProviderTemplateIdcsLockedBy
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- _
ref string - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- Display string
- The displayName of the User or App who locked this Resource.
- Ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- Type string
- The type of resource, User or App, that locked this Resource.
- Value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- _
ref string - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- _
ref String - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- _
ref string - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- display string
- The displayName of the User or App who locked this Resource.
- ocid string
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- type string
- The type of resource, User or App, that locked this Resource.
- value string
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- _
ref str - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- display str
- The displayName of the User or App who locked this Resource.
- ocid str
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- type str
- The type of resource, User or App, that locked this Resource.
- value str
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
- _
ref String - The URI of the SCIM resource that represents the User or App who Locked this Resource.
- display String
- The displayName of the User or App who locked this Resource.
- ocid String
- Unique Oracle Cloud Infrastructure identifier for the SCIM Resource.
- type String
- The type of resource, User or App, that locked this Resource.
- value String
- The ID of the SCIM resource that represents the User or App who LOCKED this Resource.
GetDomainsIdentityProofingProviderTemplateMeta
- Created string
- The DateTime the Resource was added to the Service Provider
- Last
Modified string - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- Location string
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- Resource
Type string - Name of the resource type of the resource--for example, Users or Groups
- Version string
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
- Created string
- The DateTime the Resource was added to the Service Provider
- Last
Modified string - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- Location string
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- Resource
Type string - Name of the resource type of the resource--for example, Users or Groups
- Version string
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
- created String
- The DateTime the Resource was added to the Service Provider
- last
Modified String - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- location String
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- resource
Type String - Name of the resource type of the resource--for example, Users or Groups
- version String
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
- created string
- The DateTime the Resource was added to the Service Provider
- last
Modified string - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- location string
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- resource
Type string - Name of the resource type of the resource--for example, Users or Groups
- version string
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
- created str
- The DateTime the Resource was added to the Service Provider
- last_
modified str - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- location str
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- resource_
type str - Name of the resource type of the resource--for example, Users or Groups
- version str
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
- created String
- The DateTime the Resource was added to the Service Provider
- last
Modified String - The most recent DateTime that the details of this Resource were updated at the Service Provider. If this Resource has never been modified since its initial creation, the value MUST be the same as the value of created. The attribute MUST be a DateTime.
- location String
- The URI of the Resource being returned. This value MUST be the same as the Location HTTP response header.
- resource
Type String - Name of the resource type of the resource--for example, Users or Groups
- version String
- The version of the Resource being returned. This value must be the same as the ETag HTTP response header.
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
Viewing docs for Oracle Cloud Infrastructure v4.4.0
published on Thursday, Mar 26, 2026 by Pulumi
published on Thursday, Mar 26, 2026 by Pulumi
